Package twisted :: Package python :: Module formmethod :: Class Integer

[frames | no frames]

## Class Integer

    Argument --+
               |
              Integer

Known Subclasses:
  `IntegerRange`

A single integer.

Method Summary
| `__init__(self, name, allowNone, default, shortDesc, longDesc, hints)`
| ``coerce`(self, val)` Convert the value to the correct format.
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
`NoneType` | `defaultDefault` = None

Method Details

### coerce(self, val)

Convert the value to the correct format.

  Overrides:
    `twisted.python.formmethod.Argument.coerce` (inherited documentation)

Class Variable Details

### defaultDefault

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:05 2004 | http://epydoc.sf.net